3 Replies Latest reply: Jan 12, 2013 6:31 PM by Niel
fmpress Level 1 Level 1 (0 points)


how can I update my MAC OS X v10.4 to a new compatible version of MAC that will allow me to use the latest ITunes and Microsoft Office MAC 2011?


PowerMac, Mac OS X (10.4.11)